cycle.hpp File Reference

Forward declares `boost::hana::cycle`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::cycle
| Combine a monadic structure with itself `n` times.Given a monadic structure `xs` and a non-negative number `n`, `cycle` returns a new monadic structure which is the result of combining `xs` with itself `n` times using the `concat` operation. In other words,. More...

## Detailed Description

Forward declares `boost::hana::cycle`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)